From b5a463ce6a1f41979030ed43b33c266fb1a352ae Mon Sep 17 00:00:00 2001
From: Mike Wey <mike@mikewey.eu>
Date: Thu, 17 Sep 2020 22:54:15 +0200
Subject: [PATCH] Skip the general documentation in docsection.

See Also:  gtkd-developers/GlibD#10
---
 source/gtd/GirPackage.d | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/source/gtd/GirPackage.d b/source/gtd/GirPackage.d
index 8745397..6f698e7 100644
--- a/source/gtd/GirPackage.d
+++ b/source/gtd/GirPackage.d
@@ -207,6 +207,10 @@ final class GirPackage
 					// We are not able to wrap these.
 					reader.skipTag();
 					break;
+				case "docsection":
+					// General documentation.
+					reader.skipTag();
+					break;
 				default:
 					error("Unexpected tag: ", reader.front.value, " in GirPackage: ", name, reader);
 			}
